Bug 336811 - exported CSVs don't state what object they relate to
exported CSVs don't state what object they relate to
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: John Matthews
wes hayutin
:
Depends On:
Blocks: 248643
  Show dependency treegraph
 
Reported: 2007-10-17 18:28 EDT by Máirín Duffy
Modified: 2008-04-02 17:08 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 17:08:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-10-17 18:28:34 EDT
Description of problem:

CSVs exported from webui listviews don't actually state what object the CSV is
for. For example, if I go to an erratum "RHSA-2007:0555 - Security Advisory",
this a sample CSV export of the affected systems list:

name,Probe State,Channel Labels,Entitlement Level
dhcp59-241.rdu.redhat.com,,Red Hat Enterprise Linux (v. 5 for 32-bit
x86),"Management, Provisioning, Virtualization Platform"				
But nowhere in the CSV does it actually say what erratum the data applies to. My
suggestion would be to add it at the very top like so:

RHSA-2007:0555 - Security Advisory,,,
name,Probe State,Channel Labels,Entitlement Level
dhcp59-241.rdu.redhat.com,,Red Hat Enterprise Linux (v. 5 for 32-bit
x86),"Management, Provisioning, Virtualization Platform"

Would be even better in this particular case to also have the synopsis, eg
"Moderate: pam security, bug fix and enhancement update" but at least let's get
some reference to the object the data fields apply to across all CSV exports
from all lists with the export button, and maybe worry about details like that
for a later release since we're so late in the release cycle?
Comment 1 John Matthews 2007-10-18 15:49:39 EDT
Fixed in svn: #133018
Added a new optional param to csv tag, called "header".
If header is set to a value, this text is pre-pended to the CSV data export.


To verify, this requires a JSP page to be using the csv tag and to have set the
"header" param.  

An example page which has this is,
eng/java/rhnwebapp/WEB-INF/pages/errata/affectedsystems.jsp.

To use this as a test case, it requires that an errata affected system is
registered to the satellite.
 
1) Register a new system to a sat and then go to: /rhn/errata/Overview.do
2) Click on an errata
3) Click on "Affected Systems"
4) Click "Download CSV"

A text file should should be transfered with the first line describing the
errata, example for "RHBA-2007:0282":

RHBA-2007:0282 - Bug Fix Advisory
name,Probe State,Channel Labels,Entitlement Level
rhel4as1,,Red Hat Enterprise Linux AS (v. 4 for 32-bit  x86),Management
TestProfileName1-rhel4as1,,Red Hat Enterprise Linux AS (v. 4 for 32-bit 
x86),Management


The first line being the description is the fix/feature this bug represents. 
Prior to this the first line would have been the description of the columns.

Comment 2 wes hayutin 2007-10-23 08:19:09 EDT
ok. this works on the particular csv file mentioned above
build 20 verified..
Comment 3 Brandon Perkins 2008-04-02 17:08:45 EDT
UI Enhancements for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.